Bug 209095 - [patch] audio/cantata: update to 2.0.0, add more options
Summary: [patch] audio/cantata: update to 2.0.0, add more options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://reviews.freebsd.org/D6843
Keywords: patch, patch-ready
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-04-27 12:11 UTC by Andriy Voskoboinyk
Modified: 2016-06-15 08:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
Patch.diff (14.44 KB, patch)
2016-04-27 12:11 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (13.03 KB, text/plain)
2016-04-27 12:16 UTC, Andriy Voskoboinyk
no flags Details
poudriere.txz (72.01 KB, application/x-xz)
2016-04-27 12:18 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2016-04-27 12:11:49 UTC
Created attachment 169754 [details]
Patch.diff

- Update to 2.0.0.
- Add new options:
 * VLC, QT5 - for MPD HTTP streams playback;
 * PROXY - proxy configuration support.
 * NLS - native language support.
- Regroup / improve descriptions / add dependencies for all options.
- Use libebur128 from ports instead of a bundled one (VLC / QT5 options only).
Comment 1 Andriy Voskoboinyk freebsd_committer 2016-04-27 12:16:16 UTC
Created attachment 169755 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2016-04-27 12:18:14 UTC
Created attachment 169756 [details]
poudriere.txz
Comment 3 Ben Woods freebsd_committer 2016-06-14 06:37:37 UTC
This update also allows audio/cantata to build against ffmpeg 3.0.x
(when the FFMPEG and TAGLIB options are enabled).
The ports tree currently still has multimedia/ffmepg at version 2.8.7,
however this update is backwards compatible with ffmpeg 2.8.7. The
update of multimedia/ffmpeg to 3.0.x branch is waiting for ports which
depend on it to successfully build with the newer version of ffmpeg.
Comment 4 Ben Woods freebsd_committer 2016-06-15 08:56:45 UTC
Thanks very much for the good quality submission Andriy.

Committed in r416916:
https://svnweb.freebsd.org/ports?view=revision&revision=416916

audio/cantata: Update to 2.0.1
- Add USE_QT5=sql sql-sqlite3_run [1]
- Remove USE_KDE4=oxygen - only required if cmake flag ENABLE_KDE is set
- Add new options:
 * VLC, QT5 - for MPD HTTP streams playback
 * PROXY - proxy configuration support
 * NLS - native language support
- Regroup / improve descriptions / add dependencies for all options
- Enable more options by default (using upstream defaults in CMakeLists.txt)
- Remove INSTALLS_ICONS=yes as it is not required for QT applications
- Use libebur128 from ports instead of a bundled one (VLC / QT5 options only)

[1] https://github.com/CDrummond/cantata/blob/v2.0.1/ChangeLog#L34

This update also allows audio/cantata to build against ffmpeg 3.0.x
(when the FFMPEG and TAGLIB options are enabled).
The ports tree currently still has multimedia/ffmepg at version 2.8.7,
however this update is backwards compatible with ffmpeg 2.8.7. The
update of multimedia/ffmpeg to 3.0.x branch is waiting for ports which
depend on it to successfully build with the newer version of ffmpeg.

PR:		209095
Submitted by:	avos
Approved by:	Tobias Berner <tcberner@gmail.com> (maintainer with KDE hat), mat (mentor)
Relnotes:	https://github.com/CDrummond/cantata/blob/v2.0.1/ChangeLog
Differential revision:	https://reviews.freebsd.org/D6843